%global modname mailman3_fedmsg_plugin

Name:               mailman3-fedmsg-plugin
Version:            0.1.1
Release:            1%{?dist}
Summary:            Emit fedmsg messages from mailman3

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/mailman3-fedmsg-plugin
Source0:            http://pypi.python.org/packages/source/m/%{name}/%{name}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools

Requires:           fedmsg

%description
Publish notifications about mails to the fedmsg bus.

Enable this by adding the following to your mailman.cfg file::

    [archiver.fedmsg]
    # The class implementing the IArchiver interface.
    class: mailman_fedmsg_plugin.Archiver
    enable: yes

You can exclude certain lists from fedmsg publication by
adding them to a 'mailman.excluded_lists' list in /etc/fedmsg.d/::

    config = {
        'mailman.excluded_lists': ['bugzilla', 'commits'],
    }

%prep
%setup -q -n %{name}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst LICENSE
%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Thu May 23 2013 Ralph Bean <rbean@redhat.com> - 0.1.1-1
- Initial package for Fedora
